﻿#include <iostream>
#include <string>



void Func(int b, int c)
{
		b = b - c; //Исключает погрешность в одно число во время вычислений.
		for (int a = 0; a <= b; a++) //Цикл работает до тех пор пока "a" меньше или равна "b".
	{
		std::cout << a + c << ", "; //Выводит в консоль значение "a" прибавляя к нему значение "с", тем самым определяя четное или нечетное числа.
		a++; //увеличивает значение "а" на один.
	}
}

int main(int e, int f)
{
	std::cout << "Type numbers limit: "; //Спрашивает у пользователя лимит.
	std::cin >> e; //Возвращает введенное значение в переменную "e".
	
	std::cout << "Type: Even - '0', Odd - '1': "; //Спрашивает у пользователя какой тип данных выводить. 0 - четные, 1 - нечетные.
	std::cin >> f; //Возвращает введенное значение в переменную "f".
	
	Func(e, f); //Вызывает функцию Func.
		
	return 0;
}
